- Qt 5.5
- Qt3D Module
- C++ Classes
- Quick3DNode
- Qt 5.5.1 Reference Documentation

# Quick3DNode Class

(Qt3D::Quick::Quick3DNode)

Inherits: |

- List of all members, including inherited members

## Properties

- childNodes : const QQmlListProperty<Qt3D::QNode>
- data : const QQmlListProperty<QObject>

## Public Functions

| Quick3DNode(QObject * parent = 0)
QQmlListProperty<Qt3D::QNode> | childNodes()
QQmlListProperty<QObject> | data()
QNode * | parentNode() const

## Property Documentation

### childNodes : const QQmlListProperty<Qt3D::QNode>

Access functions:

QQmlListProperty<Qt3D::QNode> | childNodes()

### data : const QQmlListProperty<QObject>

Access functions:

QQmlListProperty<QObject> | data()

## Member Function Documentation

### Quick3DNode::Quick3DNode(QObject * parent = 0)

### QNode * Quick3DNode::parentNode() const